SpringTransactionFactory.SpringTransaction (Mule ESB 2.2.1 API)
Keywords: org.mule.module.spring.transaction.SpringTransactionFactory.SpringTransaction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.spring.transaction
Class SpringTransactionFactory.SpringTransaction

    java.lang.Object
      org.mule.transaction.AbstractTransaction
          org.mule.transaction.AbstractSingleResourceTransaction
              org.mule.module.spring.transaction.SpringTransactionFactory.SpringTransaction

All Implemented Interfaces:
  Transaction

Enclosing class:
  SpringTransactionFactory

    public class SpringTransactionFactory.SpringTransaction

extends AbstractSingleResourceTransaction

TODO: document this class

Field Summary
`protected org.springframework.transaction.TransactionStatus` | `status`

Fields inherited from class org.mule.transaction.AbstractSingleResourceTransaction
`committed, key, resource, rollbackOnly, rolledBack, started, txStatusMappings`

Fields inherited from class org.mule.transaction.AbstractTransaction
`logger`

Fields inherited from interface org.mule.api.transaction.Transaction
`STATUS_ACTIVE, STATUS_COMMITTED, STATUS_COMMITTING, STATUS_MARKED_ROLLBACK, STATUS_NO_TRANSACTION, STATUS_PREPARED, STATUS_PREPARING, STATUS_ROLLEDBACK, STATUS_ROLLING_BACK, STATUS_UNKNOWN`

Constructor Summary
`SpringTransactionFactory.SpringTransaction()`

Method Summary
`void` | `bindResource(Object key, Object resource)`
`protected void` | `doBegin()` Really begin the transaction.
`protected void` | `doCommit()` Commit the transaction on the underlying resource
`protected void` | `doRollback()` Rollback the transaction on the underlying resource
`Object` | `getResource(Object key)`
`boolean` | `hasResource(Object key)`
`void` | `setRollbackOnly()`

Methods inherited from class org.mule.transaction.AbstractSingleResourceTransaction
`begin, commit, getStatus, rollback, toString`

Methods inherited from class org.mule.transaction.AbstractTransaction
`fireNotification, getId, isBegun, isCommitted, isRollbackOnly, isRolledBack, isXA, resume, suspend`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### status

    protected final org.springframework.transaction.TransactionStatus status

Constructor Detail

### SpringTransactionFactory.SpringTransaction

    public SpringTransactionFactory.SpringTransaction()

Method Detail

### doBegin

    protected void doBegin()
                    throws TransactionException

  Description copied from class: `AbstractTransaction`
  Really begin the transaction. Note that resources are enlisted yet.

  Specified by:
    `doBegin` in class `AbstractTransaction`
  Throws:
    `TransactionException`

### doCommit

    protected void doCommit()
                     throws TransactionException

  Description copied from class: `AbstractTransaction`
  Commit the transaction on the underlying resource

  Specified by:
    `doCommit` in class `AbstractTransaction`
  Throws:
    `TransactionException`

### doRollback

    protected void doRollback()
                       throws TransactionException

  Description copied from class: `AbstractTransaction`
  Rollback the transaction on the underlying resource

  Specified by:
    `doRollback` in class `AbstractTransaction`
  Throws:
    `TransactionException`

### getResource

    public Object getResource(Object key)

  Specified by:
    `getResource` in interface `Transaction`
  Overrides:
    `getResource` in class `AbstractSingleResourceTransaction`

### hasResource

    public boolean hasResource(Object key)

  Specified by:
    `hasResource` in interface `Transaction`
  Overrides:
    `hasResource` in class `AbstractSingleResourceTransaction`

### bindResource

    public void bindResource(Object key,
                             Object resource)
                      throws TransactionException

  Specified by:
    `bindResource` in interface `Transaction`
  Overrides:
    `bindResource` in class `AbstractSingleResourceTransaction`
  Throws:
    `TransactionException`

### setRollbackOnly

    public void setRollbackOnly()

  Specified by:
    `setRollbackOnly` in interface `Transaction`
  Overrides:
    `setRollbackOnly` in class `AbstractSingleResourceTransaction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.